/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package pp4u_packet;

import pp4u.*;
import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;

/**
 * 検索クエリ返答
 * @author tondol
 */
public class PacketFound extends Packet {

    private ArrayList<InfoKey> keys;
    private LinkedList<String> path;

    public PacketFound(List keys, List path) {
        super(FOUND);
        this.keys = new ArrayList<InfoKey>(keys);
        this.path = new LinkedList<String>(path);
    }

    public void gsubHostnameOfKey(String from, String to) {
        for (InfoKey key : keys) {
            InfoNode keyNode = key.getNode();
            if (keyNode.getHostname().equals(from)) {
                keyNode.setHostname(to);
            }
        }
    }
    
    public String pop() {
        return path.pop();
    }
    
    public List<InfoKey> getKeys() {
        return keys;
    }

    public List<String> getPath() {
        return path;
    }
}
