/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package pp4u_packet;

import pp4u.*;

/**
 * セッション終了
 * @author tondol
 */
public class PacketPong extends Packet {

    private int type;
    private InfoNode address = null; // Pong送信元のローカルアドレス
    private String nodeID = null; // Pong送信元のノードID
    private InfoNode[] nodes = null; // 代わりの接続先
    public static int OK = 0x01;
    public static int NG = 0x02;
    
    public PacketPong(int type) {
        super(PONG);
        this.type = type;
        this.address = AppMain.getLocalhost();
        this.nodeID = AppMain.getNodeID();
    }
    
    public PacketPong(int type, InfoNode[] nodes) {
        super(PONG);
        this.type = type;
        this.nodes = nodes;
        this.address = AppMain.getLocalhost();
        this.nodeID = AppMain.getNodeID();
    }
    
    public int getType() {
        return type;
    }
    
    public InfoNode[] getNodes() {
        return nodes;
    }
    
    public InfoNode getAddress() {
        return address;
    }
    
    public String getNodeID() {
        return nodeID;
    }
    
}
