/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package pp4u_packet;

import pp4u.*;
import java.util.LinkedList;
import java.util.List;

/**
 * 検索クエリ
 * @author tondol
 */
public class PacketQuery extends Packet {

    private String word = null;
    private LinkedList<String> path = null;

    public PacketQuery(String word) {
        super(QUERY);
        this.word = word;
        this.path = new LinkedList<String>();
        this.path.push(AppMain.getNodeID());
    }
    
    public void push(String nodeID) {
        path.push(nodeID);
    }
    
    public String getWord() {
        return word;
    }

    public List<String> getPath() {
        return path;
    }
}
